% function to read soil parameter file
function [thr ths alpha n_vg ks stor istyp l_vg]=soilpara(soilpara_file,dim,z)

l_vg  = 0.5;
para=dlmread(soilpara_file,' ');
[m_s np] =size(para); %m_s number of soil types
thr   =  zeros(m_s,1); % residual soil moisture
ths   =  zeros(m_s,1); % soil moisture at saturation
alpha =  zeros(m_s,1); % bubbling pressure
n_vg  =  zeros(m_s,1); % n (width of pore size distribution)
ks    =  zeros(m_s,1);% saturated hydraulic conductivity
stor  =  zeros(m_s,1);% specific storage capacity
c =  zeros(m_s,1); % water capactiy
istyp=m_s*ones(dim,1);
tiefe=zeros(m_s,1);
tiefe2=zeros(m_s,1);

% define parameters for all soil types
for i=1:m_s
 ks(i)    = para(i,1);
 ths(i)   = para(i,2);
 thr(i)   = para(i,3); 
 alpha(i) = para(i,4); 
 n_vg(i)  = para(i,5);
 stor(i)  = para(i,6);
 tiefe(i) = para(i,7);
 tiefe2(i) = para(i,8);
 % look for depths where actual soil type is valid
 pos =find (z  <= -tiefe(i) & z  > -tiefe2(i));
 for j= 1:length(pos)
   istyp(pos(j))=i;
 end
end
